# Creating a new Survey Template

This endpoint returns structured Survey Template objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the survey_templates top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /survey_templates
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- owner (User) - The user who owns all surveys based on this template.
- respondent (User) - The user assigned to respond to surveys based on this template.
- subject (polymorphic) - The subject of the survey (e.g. the user being reviewed).
- survey_questions (SurveyQuestion) - Includes survey questions associated with the survey template.
- survey_responses (SurveyResponse) - Includes the survey responses associated with the survey template.
- workspace (Workspace) - The workspace to be used as context for surveys based on this template.

## Request fields (application/json):

  - `survey_template` (object)

  - `survey_template.survey_question_ids` (array, required)
    Survey Questions to associate with this template.

  - `survey_template.title` (string)
    The title of the survey.

  - `survey_template.description` (string)
    The description of the survey.

  - `survey_template.subject_type` (string)
    The subject type of the survey. Valid values: User, Story, Workspace.

  - `survey_template.subject_id` (integer)
    The Id of the survey subject.

  - `survey_template.owner_id` (integer)
    The user who owns all surveys based on this template.

  - `survey_template.respondent_id` (integer)
    The user assigned to respond to surveys based on this template.

  - `survey_template.workspace_id` (integer)
    The workspace to be used as context for surveys based on this template.

  - `survey_template.open_date` (string)
    The open date to be used for surveys based on this template. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `survey_template.close_date` (string)
    The close date to be used for surveys based on this template. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `survey_template.due_date` (string)
    The due date to be used for surveys based on this template. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `survey_templates` (object)

  - `external_references` (object)

  - `survey_questions` (object)

  - `survey_responses` (object)

  - `users` (object)

  - `workspaces` (object)

  - `stories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


